Apache JMeter

## org.apache.jmeter.util.keystore
Class JmeterKeyStore

    java.lang.Object
      org.apache.jmeter.util.keystore.JmeterKeyStore

    public class JmeterKeyStore

extends Object

Use this Keystore for JMeter specific KeyStores.

Method Summary
`String` `getAlias()` Get the next or only alias.
`String` `getAlias(int index)`
`int` `getAliasCount()`
`X509Certificate[]` `getCertificateChain(String alias)` Get the ordered certificate chain for a specific alias.
`String[]` `getClientAliases(String keyType, Principal[] issuers)` Compiles the list of all client aliases with a private key.
`static JmeterKeyStore` `getInstance(String type)` Create a keystore which returns the first alias only.
`static JmeterKeyStore` `getInstance(String type, int startIndex, int endIndex)` Create a keystore which returns a range of aliases (if available)
`PrivateKey` `getPrivateKey(String alias)` Return the private Key for a specific alias
`void` `load(InputStream is, String pword)` Process the input stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### load

    public void load(InputStream is,
                     String pword)
              throws Exception

  Process the input stream

  Throws:
    `Exception`

### getCertificateChain

    public X509Certificate[] getCertificateChain(String alias)

  Get the ordered certificate chain for a specific alias.

### getAlias

    public String getAlias()

  Get the next or only alias.

  Returns:
    the next or only alias.

### getAliasCount

    public int getAliasCount()

### getAlias

    public String getAlias(int index)

### getPrivateKey

    public PrivateKey getPrivateKey(String alias)

  Return the private Key for a specific alias

### getInstance

    public static JmeterKeyStore getInstance(String type,
                                             int startIndex,
                                             int endIndex)
                                      throws Exception

  Create a keystore which returns a range of aliases (if available)

  Parameters:
    `type` - store type (e.g. JKS)
    `startIndex` - first index (from 0)
    `endIndex` - last index (to count -1)
  Returns:
    the keystore
  Throws:
    `Exception`

### getInstance

    public static JmeterKeyStore getInstance(String type)
                                      throws Exception

  Create a keystore which returns the first alias only.

  Parameters:
    `type` - e.g. JKS
  Returns:
    the keystore
  Throws:
    `Exception`

### getClientAliases

    public String[] getClientAliases(String keyType,
                                     Principal[] issuers)

  Compiles the list of all client aliases with a private key. TODO Currently, keyType and issuers are both ignored.

  Parameters:
    `keyType` - the key algorithm type name (RSA, DSA, etc.)
    `issuers` - the CA certificates we are narrowing our selection on.
  Returns:
    the array of aliases; may be empty

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.